Ohh, did you just finger me?

Well there's not much to say, except that most things to see are
going on over at Aussies.space:
gopher://aussies.space/1/~freet

But I do grant a hole to a certain Gopher Banker here, because he
just wasn't comfy down under:
gopher://tilde.club/1/~freet/currconv

The Free Thinker
